<?php
/**
 * Registering meta boxes
 *
 * All the definitions of meta boxes are listed below with comments.
 * Please read them CAREFULLY.
 *
 * You also should read the changelog to know what has been changed before updating.
 *
 * For more information, please visit:
 * @link http://www.deluxeblogtips.com/meta-box/
 */

/********************* META BOX DEFINITIONS ***********************/

/**
 * Prefix of meta keys (optional)
 * Use underscore (_) at the beginning to make keys hidden
 * Alt.: You also can make prefix empty to disable it
 */
// Better has an underscore as last sign
$prefix = 'law_';

global $meta_boxes;

//$meta_boxes = array();
                        
 $meta_boxes[] = array(
    'id' => 'page_standards',
    'title' => __( 'Other Info', 'rwmb' ),
    'pages' => array( 'post' ),
    'context' => 'normal',
    'priority' => 'high',
    'autosave' => true,
    'fields' => array(
                array(
                        'name' => __( 'Website Address', 'rwmb' ),
                        'id'   => "{$prefix}redirect_website",
                        'type' => 'text',
                ),
                array   (
                        'name' => __( 'Redirect to site', 'rwmb' ),
                        'id'   => "{$prefix}redirect_url",
                        'type' => 'checkbox',
                        'std'  => 0,
		),

        )
);

               
/********************* META BOX REGISTERING ***********************/

/**
 * Register meta boxes
 *
 * @return void
 */
function law_register_meta_boxes()
{
	// Make sure there's no errors when the plugin is deactivated or during upgrade
	if ( !class_exists( 'RW_Meta_Box' ) )
		return;

	global $meta_boxes;
	foreach ( $meta_boxes as $meta_box )
	{
		new RW_Meta_Box( $meta_box );
	}
}
// Hook to 'admin_init' to make sure the meta box class is loaded before
// (in case using the meta box class in another plugin)
// This is also helpful for some conditionals like checking page template, categories, etc.
add_action( 'admin_init', 'law_register_meta_boxes' );