<?php

/* the_excerpt*/
function custom_excerpt_length( $length ) {
	return 35;
}
add_filter( 'excerpt_length', 'custom_excerpt_length', 999 );


function new_excerpt_more( $more ) {
	return ' <a class="read-more" href="'. get_permalink( get_the_ID() ) . '">Continue Reading »</a>';
}
add_filter( 'excerpt_more', 'new_excerpt_more' );



if ( !function_exists( 'optionsframework_init' ) ) {
define( 'OPTIONS_FRAMEWORK_DIRECTORY', get_bloginfo('template_directory') . '/admin/' );
require_once dirname( __FILE__ ) . '/admin/options-framework.php';
}


/* Slider */
if(of_get_option('sl_show_or_hide')=='true'){
function my_post_type_slider() {
	register_post_type( 'slider',
                array( 
				'label' => __('Slides'), 
				'singular_label' => __('Slide', 'theme1562'),
				'_builtin' => false,
				'exclude_from_search' => true, // Exclude from Search Results
				'capability_type' => 'page',
				'public' => true, 
				'show_ui' => true,
				'show_in_nav_menus' => false,
				'rewrite' => array(
					'slug' => 'slide-view',
					'with_front' => FALSE,
				),
				'query_var' => "slide", // This goes to the WP_Query schema
				'menu_icon' => get_template_directory_uri() . '/admin/images/icon_slides.png',
				'supports' => array(
						'title',
						'custom-fields',
						'editor',
            'thumbnail')
					) 
				);
}

add_action('init', 'my_post_type_slider');
}

/* Portfolio 

if(of_get_option('s_faq')=='true'){
function my_post_type_portfolio() {
	register_post_type( 'faq',
                array( 
				'label' => __('FAQ'), 
				'singular_label' => __('Porfolio Item', 'theme1562'),
				'_builtin' => false,
				'public' => true, 
				'show_ui' => true,
				'show_in_nav_menus' => true,
				'hierarchical' => true,
				'capability_type' => 'page',
				'menu_icon' => get_template_directory_uri() . '/admin/images/icon_portfolio.png',
				'rewrite' => array(
					'slug' => 'portfolio-view',
					'with_front' => FALSE,
				),
				'supports' => array(
						'title',
						'editor',
						'thumbnail',
						'excerpt',
						'custom-fields',
						'comments')
					) 
				);
	register_taxonomy('portfolio_category', 'portfolio', array('hierarchical' => true, 'label' => 'Portfolio Categories', 'singular_name' => 'Category', "rewrite" => true, "query_var" => true));
}

add_action('init', 'my_post_type_portfolio');

}*/

/* Testimonial 
if(of_get_option('s_testimonial')=='true'){
function my_post_type_team() {
	register_post_type( 'testimonial',
                array( 
				'label' => __('Testimonial'), 
				'singular_label' => __('Person', 'theme1562'),
				'_builtin' => false,
				'exclude_from_search' => true, // Exclude from Search Results
				'capability_type' => 'page',
				'public' => true, 
				'show_ui' => true,
				'show_in_nav_menus' => false,
				'menu_position' => 5,
				'rewrite' => array(
					'slug' => 'team-view',
					'with_front' => FALSE,
				),
				'supports' => array(
						'title',
						'custom-fields',
						'editor',
						'excerpt',
            'thumbnail')
					) 
				);
}

add_action('init', 'my_post_type_team');
}

/* Show content or excerpt */

// The excerpt based on words
function my_string_limit_words($string, $word_limit)
{
  $words = explode(' ', $string, ($word_limit + 1));
  if(count($words) > $word_limit)
  array_pop($words);
  return implode(' ', $words).'... ';
}



function faq_lifestyle( $atts , $content = null ) {

$output = '<div id="st-accordion" class="st-accordion"><ul>';
$feat = new WP_Query(array('post_type' => 'faq', 'posts_per_page' => of_get_option('sl_no_of_faq_slide')));
 if ($feat->have_posts()) : while($feat->have_posts()) : $feat->the_post();
$output .= '<li>'; 
      
	   $output .= '<a href="javascript:void(0);">Q: '.get_the_title().'?</a>
                  <div class="st-content"><p>A: '.nl2br(get_the_content()).'</p></div>';
endwhile; endif; wp_reset_query(); $output .= '</ul></div>';
        
          return $output;
}
add_shortcode( 'show_faq', 'faq_lifestyle' );



function testi_lifestyles($atts, $content = null) {

$feat1 = new WP_Query(array('post_type' => 'testimonial', 'posts_per_page' => -1));
$output1 = "";
if ($feat1->have_posts()) : while($feat1->have_posts()) : $feat1->the_post();
$output1 .= '<div class="testi_txt"><blockquote><p>';     
	   $output1 .= get_the_content().'</p><em>-'. get_the_title() .'</em></blockquote></div>';
		endwhile; endif; wp_reset_query();
          return $output1;
}
add_shortcode( 'testimonial', 'testi_lifestyles' );

function attorney_profiles($atts, $content = null) {

$feat1 = new WP_Query(array('post_type' => 'attorney_profiles', 'posts_per_page' => -1));
$output1 = "";
if ($feat1->have_posts()) : while($feat1->have_posts()) : $feat1->the_post();
$output1 .= '<div class="show_post"><div class="left_img">';
		$output1.= get_the_post_thumbnail().'</div><div class="right_content"><h2>'. get_the_title().'</h2><span class="info">';   
		 $output1 .= get_post_meta(get_the_ID(),'designation',true).'</span><p>';  
	   $output1 .= get_the_content().'</p>';
	   	   $output1 .= '</div><div class="clear"></div></div>';
endwhile; endif; wp_reset_query();
          return $output1;
}
add_shortcode( 'profiles', 'attorney_profiles' );


function clr_lifestyle( $atts , $content = null ) {
$output = '<div class="clear"></div>';
         return $output;
}
add_shortcode( 'clear', 'clr_lifestyle' );

//include_once('/includes/my-recent-posts.php');